RedHat: RHSA-2022-8649:01 Important: varnish:6 security update | Li...
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

=====================================================================
                   Red Hat Security Advisory

Synopsis:          Important: varnish:6 security update
Advisory ID:       RHSA-2022:8649-01
Product:           Red Hat Enterprise Linux
Advisory URL:      https://access.redhat.com/errata/RHSA-2022:8649
Issue date:        2022-11-28
CVE Names:         CVE-2022-45060 
=====================================================================

1. Summary:

An update for the varnish:6 module is now available for Red Hat Enterprise
Linux 8.

Red Hat Product Security has rated this update as having a security impact
of Important. A Common Vulnerability Scoring System (CVSS) base score,
which gives a detailed severity rating, is available for each vulnerability
from the CVE link(s) in the References section.

2. Relevant releases/architectures:

Red Hat Enterprise Linux AppStream (v. 8) - aarch64, ppc64le, s390x, x86_64

3. Description:

Varnish Cache is a high-performance HTTP accelerator. It stores web pages
in memory so web servers don't have to create the same web page over and
over again, giving the website a significant speed up.

Security Fix(es):

* varnish: Request Forgery Vulnerability (CVE-2022-45060)

For more details about the security issue(s), including the impact, a CVSS
score, acknowledgments, and other related information, refer to the CVE
page(s) listed in the References section.

4. Solution:

For details on how to apply this update, which includes the changes
described in this advisory, refer to:

https://access.redhat.com/articles/11258

5. Bugs fixed (https://bugzilla.redhat.com/):

2141844 - CVE-2022-45060 varnish: Request Forgery Vulnerability

6. Package List:

Red Hat Enterprise Linux AppStream (v. 8):

Source:
varnish-6.0.8-2.module+el8.7.0+17239+94d153bd.1.src.rpm
varnish-modules-0.15.0-6.module+el8.5.0+11976+0b4af72d.src.rpm

aarch64:
varnish-6.0.8-2.module+el8.7.0+17239+94d153bd.1.aarch64.rpm
varnish-devel-6.0.8-2.module+el8.7.0+17239+94d153bd.1.aarch64.rpm
varnish-docs-6.0.8-2.module+el8.7.0+17239+94d153bd.1.aarch64.rpm
varnish-modules-0.15.0-6.module+el8.5.0+11976+0b4af72d.aarch64.rpm
varnish-modules-debuginfo-0.15.0-6.module+el8.5.0+11976+0b4af72d.aarch64.rpm
varnish-modules-debugsource-0.15.0-6.module+el8.5.0+11976+0b4af72d.aarch64.rpm

ppc64le:
varnish-6.0.8-2.module+el8.7.0+17239+94d153bd.1.ppc64le.rpm
varnish-devel-6.0.8-2.module+el8.7.0+17239+94d153bd.1.ppc64le.rpm
varnish-docs-6.0.8-2.module+el8.7.0+17239+94d153bd.1.ppc64le.rpm
varnish-modules-0.15.0-6.module+el8.5.0+11976+0b4af72d.ppc64le.rpm
varnish-modules-debuginfo-0.15.0-6.module+el8.5.0+11976+0b4af72d.ppc64le.rpm
varnish-modules-debugsource-0.15.0-6.module+el8.5.0+11976+0b4af72d.ppc64le.rpm

s390x:
varnish-6.0.8-2.module+el8.7.0+17239+94d153bd.1.s390x.rpm
varnish-devel-6.0.8-2.module+el8.7.0+17239+94d153bd.1.s390x.rpm
varnish-docs-6.0.8-2.module+el8.7.0+17239+94d153bd.1.s390x.rpm
varnish-modules-0.15.0-6.module+el8.5.0+11976+0b4af72d.s390x.rpm
varnish-modules-debuginfo-0.15.0-6.module+el8.5.0+11976+0b4af72d.s390x.rpm
varnish-modules-debugsource-0.15.0-6.module+el8.5.0+11976+0b4af72d.s390x.rpm

x86_64:
varnish-6.0.8-2.module+el8.7.0+17239+94d153bd.1.x86_64.rpm
varnish-devel-6.0.8-2.module+el8.7.0+17239+94d153bd.1.x86_64.rpm
varnish-docs-6.0.8-2.module+el8.7.0+17239+94d153bd.1.x86_64.rpm
varnish-modules-0.15.0-6.module+el8.5.0+11976+0b4af72d.x86_64.rpm
varnish-modules-debuginfo-0.15.0-6.module+el8.5.0+11976+0b4af72d.x86_64.rpm
varnish-modules-debugsource-0.15.0-6.module+el8.5.0+11976+0b4af72d.x86_64.rpm

These packages are GPG signed by Red Hat for security.  Our key and
details on how to verify the signature are available from
https://access.redhat.com/security/team/key/

7. References:

https://access.redhat.com/security/cve/CVE-2022-45060
https://access.redhat.com/security/updates/classification/#important

8. Contact:

The Red Hat security contact is . More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2022 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIVAwUBY4Sv29zjgjWX9erEAQjwLw//aQT6UUMBWmHlAj4JDxzY0wzYFRm4Oe05
EjRJ91x73UistIdH15UvVclDzyJOPjLr5aB1W5gBBcoWLTlpCPzAd2skmJOekRtS
za60JL9THdyk1hJfM+Ckzx/2gSwDJOvwb0YcuMv33aCqgvc3aGNaIpvTcJOoBecC
rqTfjaqogUEk+iQyyYCvShJ1gQe+WKYAYwX9O8a/yUz6/UvycxIR+69XNASH8i3t
rQqLDndmOUbgguE3EpB6RSmq822l2SWdu1hQdKdtpqYRyJZkoshaQbtLWc8sI6Kg
pbqFmqiQ04dRGqXzamSafTJF09ZMqIggrFQY8cpxhsmKg9JtAmI4DWMXQiIGlpAN
H2VadxdQZ6E6+iYc/NmlHisHPlvXtT9sIQEObJCENVSU0z0934Qjv98zY2Q4TLJH
K5IqqPBDR3YJjvyaTJY22Aw9sPq7tmqPHO3UB3V1S0r2GxgEudRtlmYl5dOJQbCb
KKBNQ8A8xpI6UuWLiGcHT8/yZ0EmjuW5dKpzWKWckxmjJSQ6lxkEtVMyhgN5PiuG
wepiWuEwTSvHQ85Egsm7PtcLB+ST9A6p33uE3mZPucZKhv5HbR/J7lgo4KdtF7Vh
AG6v6PprMFnj26iR2LQq5rqB4R6aMzqteBFayPKnIJ/tS31bFqFet/Hhp5pL3r9i
u9tccnu/kak=
=DVn/
-----END PGP SIGNATURE-----
--
RHSA-announce mailing list
[email protected]
https://listman.redhat.com/mailman/listinfo/rhsa-announce

RedHat: RHSA-2022-8649:01 Important: varnish:6 security update

An update for the varnish:6 module is now available for Red Hat Enterprise Linux 8

Summary

Varnish Cache is a high-performance HTTP accelerator. It stores web pages in memory so web servers don't have to create the same web page over and over again, giving the website a significant speed up.
Security Fix(es):
* varnish: Request Forgery Vulnerability (CVE-2022-45060)
For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section.

Solution

For details on how to apply this update, which includes the changesdescribed in this advisory, refer to:https://access.redhat.com/articles/11258

References

https://access.redhat.com/security/cve/CVE-2022-45060 https://access.redhat.com/security/updates/classification/#important

Package List

Red Hat Enterprise Linux AppStream (v. 8):
Source: varnish-6.0.8-2.module+el8.7.0+17239+94d153bd.1.src.rpm varnish-modules-0.15.0-6.module+el8.5.0+11976+0b4af72d.src.rpm
aarch64: varnish-6.0.8-2.module+el8.7.0+17239+94d153bd.1.aarch64.rpm varnish-devel-6.0.8-2.module+el8.7.0+17239+94d153bd.1.aarch64.rpm varnish-docs-6.0.8-2.module+el8.7.0+17239+94d153bd.1.aarch64.rpm varnish-modules-0.15.0-6.module+el8.5.0+11976+0b4af72d.aarch64.rpm varnish-modules-debuginfo-0.15.0-6.module+el8.5.0+11976+0b4af72d.aarch64.rpm varnish-modules-debugsource-0.15.0-6.module+el8.5.0+11976+0b4af72d.aarch64.rpm
ppc64le: varnish-6.0.8-2.module+el8.7.0+17239+94d153bd.1.ppc64le.rpm varnish-devel-6.0.8-2.module+el8.7.0+17239+94d153bd.1.ppc64le.rpm varnish-docs-6.0.8-2.module+el8.7.0+17239+94d153bd.1.ppc64le.rpm varnish-modules-0.15.0-6.module+el8.5.0+11976+0b4af72d.ppc64le.rpm varnish-modules-debuginfo-0.15.0-6.module+el8.5.0+11976+0b4af72d.ppc64le.rpm varnish-modules-debugsource-0.15.0-6.module+el8.5.0+11976+0b4af72d.ppc64le.rpm
s390x: varnish-6.0.8-2.module+el8.7.0+17239+94d153bd.1.s390x.rpm varnish-devel-6.0.8-2.module+el8.7.0+17239+94d153bd.1.s390x.rpm varnish-docs-6.0.8-2.module+el8.7.0+17239+94d153bd.1.s390x.rpm varnish-modules-0.15.0-6.module+el8.5.0+11976+0b4af72d.s390x.rpm varnish-modules-debuginfo-0.15.0-6.module+el8.5.0+11976+0b4af72d.s390x.rpm varnish-modules-debugsource-0.15.0-6.module+el8.5.0+11976+0b4af72d.s390x.rpm
x86_64: varnish-6.0.8-2.module+el8.7.0+17239+94d153bd.1.x86_64.rpm varnish-devel-6.0.8-2.module+el8.7.0+17239+94d153bd.1.x86_64.rpm varnish-docs-6.0.8-2.module+el8.7.0+17239+94d153bd.1.x86_64.rpm varnish-modules-0.15.0-6.module+el8.5.0+11976+0b4af72d.x86_64.rpm varnish-modules-debuginfo-0.15.0-6.module+el8.5.0+11976+0b4af72d.x86_64.rpm varnish-modules-debugsource-0.15.0-6.module+el8.5.0+11976+0b4af72d.x86_64.rpm
These packages are GPG signed by Red Hat for security. Our key and details on how to verify the signature are available from https://access.redhat.com/security/team/key/

Severity
Advisory ID: RHSA-2022:8649-01
Product: Red Hat Enterprise Linux
Advisory URL: https://access.redhat.com/errata/RHSA-2022:8649
Issued Date: : 2022-11-28
CVE Names: CVE-2022-45060

Topic

An update for the varnish:6 module is now available for Red Hat EnterpriseLinux 8.Red Hat Product Security has rated this update as having a security impactof Important. A Common Vulnerability Scoring System (CVSS) base score,which gives a detailed severity rating, is available for each vulnerabilityfrom the CVE link(s) in the References section.

Relevant Releases Architectures

Red Hat Enterprise Linux AppStream (v. 8) - aarch64, ppc64le, s390x, x86_64

Bugs Fixed

2141844 - CVE-2022-45060 varnish: Request Forgery Vulnerability

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.